# -*- coding: utf-8; mode: yaml; indent-tabs-mode: nil; -*-
#
# For testing: merge with conf21.yml
#
%YAML 1.1
---

process:
  __doc1: A first comment
  umask: 0o0027

intl:
  domain:     test-configmix
  localedir:  '{{appdir}}/locale'
  fallback:   de
  cache:
    items: 10


db:
  __comment1: A second comment
  user:
    name: <My Username>
    __doc2: A third comment
    pwd: <My Password>

  catalog: <MyDbName>

  locinfo:
    rw:
      hostname: localhost
      port: 5432

    ro:
      hostname: localhost
      port: 5432

  engines:
    rw:
      url: 'postgresql+psycopg2://{{db.user.name|urlquote}}:{{db.user.pwd|urlquote}}@{{db.locinfo.rw.hostname}}:{{db.locinfo.rw.port}}/{{db.catalog|urlquote}}'
      encoding: utf-8
      isolation_level: 'SERIALIZABLE'
      echo: false
      echo_pool: false

    ro:
      url: 'postgresql+psycopg2://{{db.user.name|urlquote}}:{{db.user.pwd|urlquote}}@{{db.locinfo.ro.hostname}}:{{db.locinfo.ro.port}}/{{db.catalog|urlquote}}'
      encoding: utf-8
      isolation_level: 'SERIALIZABLE'
      echo: false
      echo_pool: false
      is_readonly: true

    msg:
      url: 'postgresql+psycopg2://{{db.user.name|urlquote}}:{{db.user.pwd|urlquote}}@{{db.locinfo.rw.hostname}}:{{db.locinfo.rw.port}}/{{db.catalog|urlquote}}'
      encoding: utf-8
      isolation_level: 'SERIALIZABLE'
      echo: false
      echo_pool: false

    mandant:
      url: 'postgresql+psycopg2://{{db.user.name|urlquote}}:{{db.user.pwd|urlquote}}@{{db.locinfo.ro.hostname}}:{{db.locinfo.ro.port}}/{{db.catalog|urlquote}}'
      encoding: utf-8
      isolation_level: 'REPEATABLE_READ'
      echo: false
      echo_pool: false
      is_readonly: true

    session:
      url: 'postgresql+psycopg2://{{db.user.name|urlquote}}:{{db.user.pwd|urlquote}}@{{db.locinfo.rw.hostname}}:{{db.locinfo.rw.port}}/{{db.catalog|urlquote}}'
      encoding: utf-8
      isolation_level: 'REPEATABLE_READ'
      echo: false
      echo_pool: false


wsgi:
  debug: false

  debugger:
    type: werkzeug
    params:
      evalex: true

  profile: false

  profiler:
    type: werkzeug
    params:
      #stream: sys:stderr
      profile_dir: '{{tmpdir}}/profiler'
      #sort_by: ['time', 'calls']
      #restrictions=(),

test:
  List:
    - 0
    - 1
    - 2
    - 3

  Str: a string


to-be-deleted: 'a value'
to-be-deleted-but-reassigned: 'another value'
# not touched in later config: should be cleaned up
not-deleted: '{{::DEL::}}'
